メインコンテンツへスキップ
POST
/
v3beta1
/
organizations
/
{org_id}
/
snapshot-setup
/
blueprints
/
{blueprint_id}
/
files
ブループリントファイルをアップロードする
curl --request POST \
  --url https://api.devin.ai/v3beta1/organizations/{org_id}/snapshot-setup/blueprints/{blueprint_id}/files \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: multipart/form-data' \
  --form file='@example-file'
{
  "blueprint_id": "<string>",
  "created_at": 123,
  "env_var_name": "<string>",
  "file_id": "<string>",
  "name": "<string>",
  "size_bytes": 123,
  "updated_at": 123
}

Documentation Index

Fetch the complete documentation index at: https://docs.devin.ai/llms.txt

Use this file to discover all available pages before exploring further.

権限

組織レベルで ManageRepoBlueprints 権限を持つサービスユーザーが必要です。

動作

ファイルをブループリントにアップロードします。アップロードしたファイルはブループリントの YAML で参照され、スナップショットのビルド時に使用できます。

承認

Authorization
string
header
必須

サービスユーザーの認証情報(接頭辞: cog_)

パスパラメータ

blueprint_id
string
必須

クエリパラメータ

name
string
必須

ボディ

multipart/form-data
file
file
必須

レスポンス

成功レスポンス

公開 BlueprintFile リソースの形式。

blueprint_id
string
必須
created_at
integer
必須
env_var_name
string
必須
file_id
string
必須
name
string
必須
size_bytes
integer
必須
updated_at
integer
必須